For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Get a link to the job log raw request and response data of a write job.

GET
/v1/admin/job-logs/:job_log_id/data
GET
/v1/admin/job-logs/:job_log_id/data
$curl https://api.propexo.com/v1/admin/job-logs/job_log_id/data \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{}
Get a link to the job log raw request and response data of a write job. Only POST and PUT job payloads can be viewed. This endpoint will return a 302 status code with a `Location` header that can be followed to download the raw request and response data. Some HTTP clients (including some older versions of cURL) will carry the `Authentication` header when the redirect is followed. This will cause an error conflicting with the authentication in the presigned URL being returned by this endpoint. If you see this error, you will need to make sure your HTTP client isn't passing `Authentication` headers on redirect. If you're using cURL, use the `-L` flag. For other HTTP client, consult their documentation.
Was this page helpful?
Previous

Query write job logs

Next
Built with

Get a link to the job log raw request and response data of a write job. Only POST and PUT job payloads can be viewed. This endpoint will return a 302 status code with a Location header that can be followed to download the raw request and response data.

Some HTTP clients (including some older versions of cURL) will carry the Authentication header when the redirect is followed. This will cause an error conflicting with the authentication in the presigned URL being returned by this endpoint. If you see this error, you will need to make sure your HTTP client isn’t passing Authentication headers on redirect. If you’re using cURL, use the -L flag. For other HTTP client, consult their documentation.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

job_log_idstringRequired
The ID of the job log.

Response

Successful response

Errors

400
Bad Request Error